package com.qmth.themis.business.dto;

import com.qmth.themis.business.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 考场导入dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public class RoomCodeImportDto implements Serializable {

    @NotNull
    @ExcelNote(value = "考场代码")
    private String roomCode; //考场代码

    @NotNull
    @ExcelNote(value = "考场名称")
    private String roomName; //考场名称

    @ExcelNote(value = "监考账号1")
    private String teacher1; //监考帐号1

    @ExcelNote(value = "监考账号1密码")
    private String teacher1Pwd; //监考帐号1密码

    @ExcelNote(value = "监考帐号2")
    private String teacher2; //监考帐号2

    @ExcelNote(value = "监考账号2密码")
    private String teacher2Pwd; //监考帐号2密码

    @ExcelNote(value = "监考帐号3")
    private String teacher3; //监考帐号3

    @ExcelNote(value = "监考账号3密码")
    private String teacher3Pwd; //监考帐号3密码

    public String getTeacher1Pwd() {
        return teacher1Pwd;
    }

    public void setTeacher1Pwd(String teacher1Pwd) {
        this.teacher1Pwd = teacher1Pwd;
    }

    public String getTeacher2Pwd() {
        return teacher2Pwd;
    }

    public void setTeacher2Pwd(String teacher2Pwd) {
        this.teacher2Pwd = teacher2Pwd;
    }

    public String getTeacher3Pwd() {
        return teacher3Pwd;
    }

    public void setTeacher3Pwd(String teacher3Pwd) {
        this.teacher3Pwd = teacher3Pwd;
    }

    public String getRoomCode() {
        return Objects.nonNull(roomCode) ? roomCode.trim() : roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = Objects.nonNull(roomCode) ? roomCode.trim() : roomCode;
    }

    public String getRoomName() {
        return Objects.nonNull(roomName) ? roomName.trim() : roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = Objects.nonNull(roomName) ? roomName.trim() : roomName;
    }

    public String getTeacher1() {
        return Objects.nonNull(teacher1) ? teacher1.trim() : teacher1;
    }

    public void setTeacher1(String teacher1) {
        this.teacher1 = Objects.nonNull(teacher1) ? teacher1.trim() : teacher1;
    }

    public String getTeacher2() {
        return Objects.nonNull(teacher2) ? teacher2.trim() : teacher2;
    }

    public void setTeacher2(String teacher2) {
        this.teacher2 = Objects.nonNull(teacher2) ? teacher2.trim() : teacher2;
    }

    public String getTeacher3() {
        return Objects.nonNull(teacher3) ? teacher3.trim() : teacher3;
    }

    public void setTeacher3(String teacher3) {
        this.teacher3 = Objects.nonNull(teacher3) ? teacher3.trim() : teacher3;
    }
}
